#!/bin/perl

$minbpm = 60;
$maxbpm = 200;

print(" bpm | msec   16        8        8.       4        2  |");
print(" hz   16      4      1\n");

$bpm = $minbpm;
$count = 0;
while ($bpm <= $maxbpm) {
    if ($count == 0 || $count == 10) {
	$count = 0;
	print("     |   -------  -------  -------  -------  -------  |");
	print("   -----  -----  -----\n");
    }
    $msec = 240000 / $bpm;
    $hertz = 1000 / $msec;
    printf("%4d | ",$bpm);
    printf(" %8.2f",$msec/16);
    printf(" %8.2f",$msec/8);
    printf(" %8.2f",($msec/8)*1.5);
    printf(" %8.2f",$msec/4);
    printf(" %8.2f",$msec/2);
    printf("  | ");
    printf(" %6.3f",$hertz*16);
    printf(" %6.3f",$hertz*4);
    printf(" %6.3f",$hertz);
    print("\n");
    $bpm++;
    $count++;
}
